Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706408 - net-vpn/strongswan-5.8.2 : fails to build with -fno-common or gcc-10
Summary: net-vpn/strongswan-5.8.2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick Lauer
URL: https://github.com/strongswan/strongs...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-26 09:25 UTC by Toralf Förster
Modified: 2020-02-26 08:51 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.04 KB, text/plain)
2020-01-26 09:25 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,82.79 KB, text/plain)
2020-01-26 09:25 UTC, Toralf Förster
Details
environment (environment,103.94 KB, text/plain)
2020-01-26 09:25 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.75 KB, application/x-bzip)
2020-01-26 09:25 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,29.05 KB, application/x-bzip)
2020-01-26 09:25 UTC, Toralf Förster
Details
net-vpn:strongswan-5.8.2:20200126-091009.log (net-vpn:strongswan-5.8.2:20200126-091009.log,545.85 KB, text/plain)
2020-01-26 09:25 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,48.84 KB, application/x-bzip)
2020-01-26 09:25 UTC, Toralf Förster
Details
0001-swanctl-fix-build-failure-against-gcc-10.patch (0001-swanctl-fix-build-failure-against-gcc-10.patch,1.26 KB, patch)
2020-01-26 11:08 UTC, Sergei Trofimovich
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 09:25:30 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../..  -I../../src/libstrongswan -I../../src/libcharon/plugins/vici -DSWANCTLDIR=\""/etc/swanctl\"" -DPLUGINS=\""ldap aes des rc2 sha2 sha1 md5 mgf1 random nonce x509 revocation constraints pubkey pkcs1 pkcs7 pkcs8 pkcs12 pgp dnskey sshkey pem openssl fips-prf gmp curve25519 xcbc cmac hmac drbg\""   -O2 -pipe -march=native -fno-common -include /var/tmp/portage/net-vpn/strongswan-5.8.2/work/strongswan-5.8.2/config.h -c -o commands/reload_settings.o commands/reload_settings.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../..  -I../../src/libstrongswan -I../../src/libcharon/plugins/vici -DSWANCTLDIR=\""/etc/swanctl\"" -DPLUGINS=\""ldap aes des rc2 sha2 sha1 md5 mgf1 random nonce x509 revocation constraints pubkey pkcs1 pkcs7 pkcs8 pkcs12 pgp dnskey sshkey pem openssl fips-prf gmp curve25519 xcbc cmac hmac drbg\""   -O2 -pipe -march=native -fno-common -include /var/tmp/portage/net-vpn/strongswan-5.8.2/work/strongswan-5.8.2/config.h -c -o swanctl.o swanctl.c
/bin/sh ../../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -include /var/tmp/portage/net-vpn/strongswan-5.8.2/work/strongswan-5.8.2/config.h  -Wl,-O1 -Wl,--as-needed -o swanctl command.o commands/counters.o commands/initiate.o commands/terminate.o commands/rekey.o commands/redirect.o commands/install.o commands/list_sas.o commands/list_pols.o commands/list_authorities.o commands/list_conns.o commands/list_certs.o commands/list_pools.o commands/list_algs.o commands/flush_certs.o commands/load_all.o commands/load_authorities.o commands/load_conns.o commands/load_creds.o commands/load_pools.o commands/log.o commands/version.o commands/stats.o commands/reload_settings.o swanctl.o ../../src/libcharon/plugins/vici/libvici.la ../../src/libstrongswan/libstrongswan.la -lpthread -ldl   -ldl  
libtool: link: x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -include /var/tmp/portage/net-vpn/strongswan-5.8.2/work/strongswan-5.8.2/config.h -Wl,-O1 -Wl,--as-needed -o .libs/swanctl command.o commands/counters.o commands/initiate.o commands/terminate.o commands/rekey.o commands/redirect.o commands/install.o commands/list_sas.o commands/list_pols.o commands/list_authorities.o commands/list_conns.o commands/list_certs.o commands/list_pools.o commands/list_algs.o commands/flush_certs.o commands/load_all.o commands/load_authorities.o commands/load_conns.o commands/load_creds.o commands/load_pools.o commands/log.o commands/version.o commands/stats.o commands/reload_settings.o swanctl.o  ../../src/libcharon/plugins/vici/.libs/libvici.so ../../src/libstrongswan/.libs/libstrongswan.so -lpthread -ldl -Wl,-rpath -Wl,/usr/lib64/ipsec
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: commands/load_authorities.o:(.bss+0x0): multiple definition of `swanctl_dir'; commands/load_all.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: commands/load_conns.o:(.bss+0x0): multiple definition of `swanctl_dir'; commands/load_all.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 08:26:14 +0000

emerge -qpvO net-vpn/strongswan
[ebuild  N    ] net-vpn/strongswan-5.8.2  USE="caps constraints gmp ldap non-root openssl pam strongswan_plugins_led strongswan_plugins_lookip strongswan_plugins_systime-fix strongswan_plugins_unity strongswan_plugins_vici -curl -debug -dhcp -eap -farp -gcrypt -mysql -networkmanager -pkcs11 (-selinux) -sqlite -strongswan_plugins_aesni -strongswan_plugins_blowfish -strongswan_plugins_ccm -strongswan_plugins_chapoly -strongswan_plugins_ctr -strongswan_plugins_forecast -strongswan_plugins_gcm -strongswan_plugins_ha -strongswan_plugins_ipseckey -strongswan_plugins_newhope -strongswan_plugins_ntru (-strongswan_plugins_padlock) -strongswan_plugins_rdrand -strongswan_plugins_save-keys -strongswan_plugins_unbound -strongswan_plugins_whitelist -systemd"
Comment 1 Toralf Förster gentoo-dev 2020-01-26 09:25:32 UTC
Created attachment 604540 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 09:25:35 UTC
Created attachment 604542 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-26 09:25:38 UTC
Created attachment 604544 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-26 09:25:41 UTC
Created attachment 604546 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-26 09:25:44 UTC
Created attachment 604548 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-26 09:25:47 UTC
Created attachment 604550 [details]
net-vpn:strongswan-5.8.2:20200126-091009.log
Comment 7 Toralf Förster gentoo-dev 2020-01-26 09:25:49 UTC
Created attachment 604552 [details]
temp.tbz2
Comment 8 Sergei Trofimovich gentoo-dev 2020-01-26 11:07:41 UTC
Proposed fix upstream as https://github.com/strongswan/strongswan/pull/163
Comment 9 Sergei Trofimovich gentoo-dev 2020-01-26 11:08:08 UTC
Created attachment 604594 [details, diff]
0001-swanctl-fix-build-failure-against-gcc-10.patch
Comment 10 Larry the Git Cow gentoo-dev 2020-02-26 08:51:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ee270245a780c0bbf41e7d59d26fe7ae7fcc116

commit 0ee270245a780c0bbf41e7d59d26fe7ae7fcc116
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2020-02-26 08:47:33 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-02-26 08:51:31 +0000

    net-vpn/strongswan: tweak for gcc-10, bug #706408
    
    Closes: https://bugs.gentoo.org/706408
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 .../strongswan/files/strongswan-5.8.2-gcc-10.patch | 45 ++++++++++++++++++++++
 net-vpn/strongswan/strongswan-5.8.2.ebuild         |  4 +-
 2 files changed, 48 insertions(+), 1 deletion(-)